# Package

version       = "0.1.0"
author        = "Jonathan Bernard"
description   = "Hope Family Fellowship entry forms."
license       = "GPL-3.0-or-later"
srcDir        = "src"
bin           = @["hff_entry_forms_api"]


# Dependencies

requires "nim >= 1.4.8"
requires @["docopt", "jester"]

requires "https://git.jdb-software.com/jdb/nim-cli-utils.git >= 0.6.3"
requires "https://git.jdb-software.com/jdb/nim-time-utils.git >= 0.5.0"
requires "https://git.jdb-software.com/jdb/update-nim-package-version"

task updateVersion, "Update the version of this package.":
  exec "update_nim_package_version hff_entry_forms_api 'src/hff_entry_forms_apipkg/version.nim'"